WordPress 4.0以降で「wp-load.php」を使用する方法

WordPressのコンテンツを外部から読み出す際に便利な「wp-load.php」ですが
マルチサイト環境のWordPress 4.0(厳密にはもう少し前?)では
従来の方法が使用できなくなっており、下記のように変更する必要があります。

【従来の方法】

<?php require(‘./contents/wp-load.php’); ?>

【新しい方法】

<?php
$_SERVER = array(
‘HTTP_HOST’ => ‘ホスト名’,
‘REQUEST_URI’ => ‘/contents/’
);
require(‘./contents/wp-load.php’);
?>

弊社ではWordPressを利用したブログ構築を行っております。
お気軽にお問い合わせください。


2014年9月24日